Bug 1279930 - [Docs] [SHE] Missing repository in installation guide for Self-hosted engine
Summary: [Docs] [SHE] Missing repository in installation guide for Self-hosted engine
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation   
(Show other bugs)
Version: 3.5.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ovirt-3.6.1
: 3.6.1
Assignee: Dayle Parker
QA Contact: Andrew Burden
URL:
Whiteboard: docs
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-10 14:12 UTC by Javier Coscia
Modified: 2016-01-28 02:48 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 02:48:44 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Javier Coscia 2015-11-10 14:12:28 UTC
Description of problem:

Currently, the optional repository needs to be enabled to successfully install the 'ovirt-hosted-engine-setup' RPM along with its dependencies in a RHEL 7.1 Self-hosted engine environment. Lack of it will throw unsolved dependencies issues with yum

How reproducible:
All the time

Steps to Reproduce:
1. Install a plain RHEL 7.1
2. Subscribe the system and enable repositories described in [1]
3. Install ovirt-hosted-engine-setup with yum

Actual results:
Yum throws unsolved dependencies for the ovirt-hosted-engine-setup package

Expected results:
Successful installation of the ovirt-hosted-engine-setup package

Additional info:
[1] https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5/html/Installation_Guide/Subscribing_to_the_Required_Entitlements.html

Need to enable optional repo:
[root@rhel71 ~]# subscription-manager repos --enable=rhel-7-server-optional-rpms
Repository 'rhel-7-server-optional-rpms' is enabled for this system.

Comment 1 Andrew Dahms 2015-11-11 23:57:05 UTC
Assigning to Dayle for review.

Comment 4 Andrew Dahms 2015-11-17 01:08:51 UTC
Assigning Andrew as the QA contact.

Andrew - could you take a look at the changes for this bug?

Comment 5 Andrew Burden 2015-11-17 04:29:49 UTC
Sure can!
Can confirm update.
Revision added.

Comment 6 Marina Kalinin 2015-11-24 20:54:50 UTC
Weird. On 7.2 machine, I succeed to install ovirt-hosted-engine-setup package without the supplementary channel.
~~~
 Installed:
   ovirt-hosted-engine-setup.noarch 0:1.3.0-1.el7ev
~~~

I have only this 2 enabled:
rhel-7-server-rpms/7Server/x86_64 
rhel-7-server-rhev-mgmt-agent-beta-rpms/x86_64

But I didn't run the setup itself yet.

Comment 7 Andrew Dahms 2015-11-25 11:13:41 UTC
This content is now live on the Customer Portal.

Closing.

Comment 8 Marina Kalinin 2015-12-02 01:30:52 UTC
I must comment, that I installed successfully hosted-engine 3.6 beta 1 on a RHEL 7.2 host with only 2 channels:

rhel-7-server-rpms/7Server/x86_64 
rhel-7-server-rhev-mgmt-agent-beta-rpms/x86_64

Sandro, are you responsible for this part?
Can you clarify what are the required channels?

Comment 9 Sandro Bonazzola 2015-12-14 15:33:02 UTC
Marina no, I'm not handling channels. moving to Joey.


Note You need to log in before you can comment on or make changes to this bug.